#AutoIt3Wrapper_AU3Check_Parameters= -d -w 1 -w 2 -w 3 -w 4 -w 5 -w 6
#AutoIt3Wrapper_AU3Check_Stop_OnWarning=Y

#include <AD.au3>

; Open Connection to the Active Directory
_AD_Open()
If @error Then Exit MsgBox(16, "Active Directory Example Skript", "Function _AD_Open encountered a problem. @error = " & @error & ", @extended = " & @extended)
; _AD_ErrorNotify(2)
; *****************************************************************************
; Example 1
; Get a list of available properties for the currently logged on user
; *****************************************************************************
Global $aProperties = _AD_ListObjectPropertiesEX(@UserName, 1)
If @error > 0 Then
	MsgBox(64, "Active Directory Functions - Example 1", "Function _AD_ListObjectProperties encountered a problem. @error = " & @error & ", @extended = " & @extended)
Else
	_ArrayDisplay($aProperties)
EndIf

; Close Connection to the Active Directory
_AD_Close()

Func _AD_ListObjectPropertiesEX($sObject, $iFlag = 3)
	If $iFlag = Default Then $iFlag = 3
	If StringMid($sObject, 3, 1) <> "=" Then $sObject = _AD_SamAccountNameToFQDN($sObject) ; sAMAccountName provided
	If _AD_ObjectExists($sObject) = 0 Then Return SetError(1, 0, "")
	Local $oObject = __AD_ObjGet("LDAP://" & $sAD_HostServer & "/" & $sObject)
	Local $oClass = ObjGet($oObject.Schema)
	Local $aProperties[1000][4], $i = 0
	If $iFlag = 1 Or $iFlag = 3 Then
		For $oProperty In $oClass.MandatoryProperties
			$aProperties[$i][0] = $oProperty
			$aProperties[$i][1] = 1
			$aProperties[$i][2] = $oProperty.CommonName
			$aProperties[$i][3] = $oProperty.Description
			$i = $i + 1
		Next
	EndIf
	If $iFlag = 2 Or $iFlag = 3 Then
		For $sProperty In $oClass.OptionalProperties
			$aProperties[$i][0] = $sProperty
			$aProperties[$i][1] = 2
			$i = $i + 1
		Next
	EndIf
	ReDim $aProperties[$i][4]
	Return $aProperties
EndFunc   ;==>_AD_ListObjectProperties