#AutoIt3Wrapper_AU3Check_Parameters= -d -w 1 -w 2 -w 3 -w 4 -w 5 -w 6
#AutoIt3Wrapper_AU3Check_Stop_OnWarning=Y
; *****************************************************************************
; Example 1
; Open a connection to the Active Directory; get the Fully Qualified Domain
; Name (FQDN) for the current user; close the connection.
; *****************************************************************************
#include <AD.au3>
#include <ButtonConstants.au3>
#include <GUIConstantsEx.au3>
#include <EditConstants.au3>
#include <WindowsConstants.au3>

Global $sUserID1, $sUserID2, $sUserID3, $sDNSDomain, $sHostServer, $sConfiguration, $sPassword, $sUserID, $aTEMP

; User is already a domain member
If @LogonDomain <> "" Then
	; Open Connection to the Active Directory
	_AD_Open()
	If @error Then Exit MsgBox(16, "Active Directory Example Skript", "Function _AD_Open encountered a problem. @error = " & @error & ", @extended = " & @extended)
	$sUserID1 = @UserName
	$sUserID2 = @LogonDomain & "\" & @UserName
	$sUserID3 = @UserName & "@" & @LogonDNSDomain
	$sDNSDomain = $sAD_DNSDomain
	$sHostServer = $sAD_HostServer
	$sConfiguration = $sAD_Configuration
	_AD_Close()
EndIf

#Region ### START Koda GUI section ### Form=
GUICreate("Active Directory Functions - Example 1", 515, 290, 251, 112)
GUICtrlCreateLabel("UserId", 8, 12, 39, 21)
GUICtrlSetFont(-1, 8, 800, 0, "MS Sans Serif")
GUICtrlCreateLabel("Windows Login Name:", 96, 12, 131, 21)
Global $iRadio1 = GUICtrlCreateRadio("", 72, 8, 17, 21)
Global $iUserId1 = GUICtrlCreateInput($sUserID1, 241, 8, 259, 21)
GUICtrlCreateLabel("NetBIOS Login Name:", 96, 44, 131, 21)
Global $iRadio2 = GUICtrlCreateRadio("", 72, 40, 17, 21)
Global $iUserId2 = GUICtrlCreateInput($sUserID2, 241, 40, 259, 21)
GUICtrlCreateLabel("User Principal Name:", 96, 76, 131, 21)
Global $iRadio3 = GUICtrlCreateRadio("", 72, 72, 17, 21)
Global $iUserId3 = GUICtrlCreateInput($sUserID3, 241, 72, 259, 21)
GUICtrlCreateLabel("Password", 8, 108, 200, 21)
GUICtrlSetFont(-1, 8, 800, 0, "MS Sans Serif")
Global $iPassword = GUICtrlCreateInput("", 241, 104, 259, 21, $ES_PASSWORD)
GUICtrlCreateLabel("DNSDomain", 8, 140, 200, 21)
GUICtrlSetFont(-1, 8, 800, 0, "MS Sans Serif")
Global $iDNSDomain = GUICtrlCreateInput($sDNSDomain, 241, 140, 259, 21)
GUICtrlCreateLabel("HostServer", 8, 172, 200, 21)
GUICtrlSetFont(-1, 8, 800, 0, "MS Sans Serif")
Global $iHostServer = GUICtrlCreateInput($sHostServer, 241, 172, 259, 21)
GUICtrlCreateLabel("Configuration", 8, 204, 200, 21)
GUICtrlSetFont(-1, 8, 800, 0, "MS Sans Serif")
Global $iConfiguration = GUICtrlCreateInput($sConfiguration, 241, 204, 259, 21)
Global $bOK = GUICtrlCreateButton("Logon", 8, 246, 130, 33)
Global $bCancel = GUICtrlCreateButton("Cancel", 428, 246, 73, 33)

; User is already a domain member
If @LogonDomain <> "" Then
	GUICtrlSetState($iRadio2, $GUI_CHECKED)
	GUICtrlSetState($iPassword, $GUI_FOCUS)
EndIf

GUISetState(@SW_SHOW)
#EndRegion ### END Koda GUI section ###

While 1
	Global $nMsg = GUIGetMsg()
	Switch $nMsg
		Case $GUI_EVENT_CLOSE, $bCancel
			Exit
		Case $bOK
			$sPassword = GUICtrlRead($iPassword)
			If $sPassword = "" Then
				MsgBox(16, "Active Directory Functions", "Password is missing!")
				GUICtrlSetState($iPassword, $GUI_FOCUS)
				ContinueCase
			EndIf
			$sDNSDomain = GUICtrlRead($iDNSDomain)
			$sHostServer = GUICtrlRead($iHostServer)
			$sConfiguration = GUICtrlRead($iConfiguration)
			If GUICtrlRead($iRadio1) = $GUI_CHECKED Then
				$sUserID = GUICtrlRead($iUserId1)
			EndIf
			If GUICtrlRead($iRadio2) = $GUI_CHECKED Then
				$sUserID = GUICtrlRead($iUserId2)
				$aTEMP = StringSplit($sUserID, "\")
				If $aTEMP[0] <> 2 Then
					MsgBox(16, "Active Directory Functions", "Wrong format for NETBIOS name." & @CRLF & "Has to be 'Domain\Userid'.")
					GUICtrlSetState($iUserId2, $GUI_FOCUS)
					ContinueCase
				EndIf
			EndIf
			If GUICtrlRead($iRadio3) = $GUI_CHECKED Then
				$sUserID = GUICtrlRead($iUserId3)
				If StringInStr($sUserID, "@") = 0 Then
					MsgBox(16, "Active Directory Functions", "Wrong format for User Principal Name." & @CRLF & "Has to be e.g. 'Userid@domain.com'.")
					GUICtrlSetState($iUserId3, $GUI_FOCUS)
					ContinueCase
				EndIf
			EndIf
			; Open Connection to the Active Directory
			If _AD_Open($sUserID, $sPassword, $sDNSDomain, $sHostServer, $sConfiguration) Then
				MsgBox(64, "Active Directory Functions", "Logon was succcessful!")
			ElseIf @error <= 8 Then
				MsgBox(16, "Active Directory Functions", "The logon was not succcessful!" & @CRLF & @CRLF & "@error: " & @error & ", @extended: " & @extended)
			Else
				MsgBox(16, "Active Directory Functions", "The logon was not succcessful!" & @CRLF & @CRLF & "@error: " & @error & ", @extended: " & @extended & _
						@CRLF & @CRLF & "Extended error information will be displayed")
				Global $aError = _AD_GetLastADSIError()
				_ArrayDisplay($aError)
			EndIf
			; Close Connection to the Active Directory
			_AD_Close()
	EndSwitch
WEnd
